WC(1)

NAME
wc - print the number of bytes, words, and lines in files

SYNOPSIS
wc [-clw] [--bytes] [--chars] [--lines] [--words] [--help] [--version] [file...]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of wc. wc counts the number of bytes, whitespace-separated words, and newlines in each given file, or the standard input if none are given or when a file named `-' is given. It prints one line of counts for each file, and if the file was given as an argument, it prints the filename following the counts. If more than one filename is given, wc prints a final line containing the cumulative counts, with the filename `total'. The counts are printed in the order: lines, words, bytes.

By default, wc prints all three counts. Options can specify that only certain counts be printed. Options do not undo others previously given, so wc --bytes --words prints both the byte counts and the word counts.

  OPTIONS

-c, --bytes, --chars
    Print only the byte counts.

-w, --words
    Print only the word counts.

-l, --lines
    Print only the newline counts.

--help
    Print a usage message and exit with a status code indicating success.

--version
    Print version information on standard output then exit.